geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim McConnell <tim.mcco...@gmail.com>
Subject Re: Correct ClassFinder version
Date Wed, 14 Feb 2007 21:09:24 GMT
Much better. I'm getting a lot father now--just hitting the problem I reported 
in GERONIMO-2833. ClassFinder gets a NullPointerException when a class is 
encountered without a package. I attached a patch that I used to get past the 
problem but you will want to review it.....

[INFO] ----------------------------------------------------------------------------
[INFO] Building Geronimo Configs :: JSP Examples Jetty
[INFO]    task-segment: [install]
[INFO] ----------------------------------------------------------------------------
[INFO] [tools:require-java-version {execution: validate-java-version}]
[INFO] [tools:copy-legal-files {execution: install-legal-files}]
[INFO] Created dir: 
C:\SVN\G\server\trunk\configs\jsp-examples-jetty\target\classes\META-INF
[INFO] Copying 2 files to 
C:\SVN\G\server\trunk\configs\jsp-examples-jetty\target\classes\META-INF
[INFO] [resources:resources]
[INFO] Using default encoding to copy filtered resources.
[INFO] [car:prepare-plan]
[INFO] Generated: 
C:\SVN\G\server\trunk\configs\jsp-examples-jetty\target\plan\plan.xml
[INFO] [car:package]
[INFO] snapshot org.apache.geronimo.configs:jetty6-deployer:2.0-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot org.apache.geronimo.configs:jetty6-deployer:2.0-SNAPSHOT: 
checking for updates from axis2-m2-repo
[INFO] snapshot org.apache.geronimo.configs:jetty6-deployer:2.0-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot org.apache.geronimo.configs:jetty6-deployer:2.0-SNAPSHOT: 
checking for updates from apache.snapshots
[INFO] snapshot 
org.apache.geronimo.applications.examples:geronimo-jsp-examples:2.0-SNAPSHOT: 
checking for updates from apache-snapshots
[INFO] snapshot 
org.apache.geronimo.applications.examples:geronimo-jsp-examples:2.0-SNAPSHOT: 
checking for updates from axis2-m2-repo
[INFO] snapshot 
org.apache.geronimo.applications.examples:geronimo-jsp-examples:2.0-SNAPSHOT: 
checking for updates from codehaus-snapshots
[INFO] snapshot 
org.apache.geronimo.applications.examples:geronimo-jsp-examples:2.0-SNAPSHOT: 
checking for updates from apache.snapshots
[INFO] Packaging module configuration: 
C:\SVN\G\server\trunk\configs\jsp-examples-jetty\target\plan\plan.xml
[INFO] ------------------------------------------------------------------------
[ERROR] BUILD ERROR
[INFO] ------------------------------------------------------------------------
[INFO] Exception encountered processing annotations for module: 
org.apache.geronimo.configs/jsp-examples-jetty/2.0-SNAPSHOT/car

Thanks,
Tim McConnell


David Blevins wrote:
> Updated the root pom to 2.9-SNAPSHOT.
> 
> -David
> 
> On Feb 14, 2007, at 11:10 AM, Jarek Gawor wrote:
> 
>> After the version update I was able to deploy the ejb jar. Can someone
>> patch the root pom.xml?
>>
>> Jarek
>>
>> On 2/14/07, Jarek Gawor <jgawor@gmail.com> wrote:
>>> I'm seeing a similar problem at runtime:
>>>
>>> 13:32:11,812 ERROR [Deployer] Deployment failed due to
>>> java.lang.NoSuchMethodError: 
>>> org.apache.xbean.finder.ClassFinder.isAnnotationPre
>>> sent(Ljava/lang/Class;)Z
>>>         at 
>>> org.apache.openejb.config.DeploymentLoader.discoverModuleType(Deploym
>>> entLoader.java:331)
>>>         at 
>>> org.apache.openejb.config.DeploymentLoader.load(DeploymentLoader.java
>>> :70)
>>>         at 
>>> org.apache.geronimo.openejb.deployment.EjbModuleBuilder.createModule(
>>> EjbModuleBuilder.java:150)
>>>
>>> Looks like Geronimo uses 2.8 version of xbean-finder while OpenEJB3
>>> uses 2.9-SNAPSHOT. Can someone please fix/look into that?
>>>
>>> I will try upgrading to 2.9-SNAPSHOT version in my local build of 
>>> Geronimo.
>>>
>>> Thanks,
>>> Jarek
>>>
>>> On 2/14/07, Tim McConnell <tim.mcconne@gmail.com> wrote:
>>> > Hi David, Is the 2.8 version of xbean-finder.jar the correct 
>>> version to use
>>> > for Geronimo ?? I notice there is a 2.9 version available and when 
>>> I use
>>> > the 2.8 version with a clean m2 repo I get the errors below. Thanks.
>>> >
>>> > [INFO] 
>>> ------------------------------------------------------------------------
>>> > [ERROR] BUILD FAILURE
>>> > [INFO] 
>>> ------------------------------------------------------------------------
>>> > [INFO] Compilation failure
>>> >
>>> > 
>>> C:\SVN\G\server\trunk\modules\geronimo-j2ee-builder\src\main\java\org\apache\geronimo\j2ee\deployment\annotation\EJBAnnotationHelper.java:[173,24]

>>>
>>> > cannot find symbol
>>> > symbol  : method isAnnotationPresent(java.lang.Class<javax.ejb.EJB>)
>>> > location: class org.apache.xbean.finder.ClassFinder
>>> >
>>> > 
>>> C:\SVN\G\server\trunk\modules\geronimo-j2ee-builder\src\main\java\org\apache\geronimo\j2ee\deployment\annotation\EJBAnnotationHelper.java:[174,24]

>>>
>>> > cannot find symbol
>>> > symbol  : method isAnnotationPresent(java.lang.Class<javax.ejb.EJBs>)
>>> > location: class org.apache.xbean.finder.ClassFinder
>>> >
>>> > --
>>> > Thanks,
>>> > Tim McConnell
>>> >
>>>
>>
> 
> 

Mime
View raw message